stages:
  - build

docker:
  stage: build
  image: docker:stable
  tags:
    - dind
  services:
    - docker:dind
  variables:
    DOCKER_HOST: tcp://docker:2375
    DOCKER_DRIVER: overlay2
    DOCKER_TLS_CERTDIR: ''
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker pull $CI_REGISTRY_IMAGE:0.6 || true
    - docker build -t $CI_REGISTRY_IMAGE:0.6 -t $CI_REGISTRY_IMAGE:0.6.14 --build-arg VERSION=0.6.14 .
    - docker push $CI_REGISTRY_IMAGE:0.6
    - docker push $CI_REGISTRY_IMAGE:0.6.14
